<?php

/*********************************************************************

 ニュース全件表示プラグイン (2015/09/09)

  32877|http://32877.xii.jp

*********************************************************************/


/* メイン処理 */
function freo_display_news_all()
{
	global $freo;

	//ニュース取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_newses');
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_newses = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_newses[$data['id']] = $data;
	}

	//ニュースID取得
	$plugin_news_keys = array_keys($plugin_newses);

	//ニュースタグ取得
	$plugin_news_tags = array();
	foreach ($plugin_news_keys as $plugin_news) {
		if (!$plugin_newses[$plugin_news]['tag']) {
			continue;
		}

		$plugin_news_tags[$plugin_news] = explode(',', $plugin_newses[$plugin_news]['tag']);
	}

	//ニュースファイル取得
	$plugin_news_files = array();
	foreach ($plugin_news_keys as $plugin_news) {
		$file_dir = FREO_FILE_DIR . 'plugins/news_files/' . $plugin_news . '/';

		if (file_exists($file_dir)) {
			if ($dir = scandir($file_dir)) {
				foreach ($dir as $data) {
					if (is_file($file_dir . $data) and preg_match("/(\w+)\.\w+$/", $data, $matches)) {
						$plugin_news_files[$plugin_news][$matches[1]] = $data;
					}
				}
			} else {
				freo_error('ファイル保存ディレクトリを開けません。');
			}
		}
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_news_alls'          => $plugin_newses,
		'plugin_news_all_tags'       => $plugin_news_tags,
		'plugin_news_all_files'      => $plugin_news_files
	));

	return;
}

?>
