<?php

/*********************************************************************

 新着ニュースレスポンス表示プラグイン (2015/09/09)

  32877|http://32877.xii.jp

*********************************************************************/

//外部ファイル読み込み
require_once FREO_MAIN_DIR . 'freo/plugins/security_plugin_newsres.php';

/* メイン処理 */
function freo_display_newsres_recently()
{
	global $freo;

	if ($freo->config['plugin']['newsres_recently']['default_limit'] == 0) {
		return;
	}

	//レスポンス取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_newsreses ORDER BY created DESC LIMIT :limit');
	$stmt->bindValue(':limit', intval($freo->config['plugin']['newsres_recently']['default_limit']), PDO::PARAM_INT);
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_newsreses = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_newsreses[$data['id']] = $data;
	}

	//レスポンスID取得
	$plugin_newsres_keys = array_keys($plugin_newsreses);

	//レスポンス保護データ取得
	$plugin_newsres_securities = freo_security_plugin_newsres('user', $plugin_newsres_keys);

	foreach ($plugin_newsres_securities as $id => $security) {
		if (!$security) {
			continue;
		}

		$plugin_newsreses[$id]['name']      = $freo->config['plugin']['newsres']['restriction_name'];
		$plugin_newsreses[$id]['mail']      = null;
		$plugin_newsreses[$id]['url']       = null;
		$plugin_newsres_files[$id]         = null;
		$plugin_newsreses[$id]['text']      = $freo->config['plugin']['newsres']['restriction_text'];

	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_newsres_recentries'          => $plugin_newsreses,
	));

	return;
}

?>
